{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.eIsSet(I)Z",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetRedefinitionContexts()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isComposite()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetOwningAssociation()Lorg/eclipse/uml2/uml/Association;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getLower()I": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.getRequireds(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetVisibility()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDeployedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetIsReadOnly()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetOwnedElements()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetDefault()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetInterface()Lorg/eclipse/uml2/uml/Interface;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetOpposite()Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getUpper()I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetClass_()Lorg/eclipse/uml2/uml/Class;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetNamespace()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetOwner()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetDatatype()Lorg/eclipse/uml2/uml/DataType;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetAssociationEnd()Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetTemplateParameter()Z": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicIsSet(I)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.getProvideds(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetRedefinedElements()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetName()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getEnds()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isSetFeaturingClassifiers()Z": 1
  }
}